---
title: RTCRtpTransceiver.sender
slug: Web/API/RTCRtpTransceiver/sender
tags:
  - API
  - Media
  - Property
  - RTCRtpSender
  - RTCRtpTransceiver
  - RTP
  - Reference
  - WebRTC
  - sender
---

<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The read-only  <strong><code>sender</code></strong> property of WebRTC's {{domxref("RTCRtpTransceiver")}} interface indicates the {{domxref("RTCRtpSender")}} responsible for encoding and sending outgoing media data for the transceiver's stream.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>rtpSender</em> = <em>RTCRtpTransceiver</em>.sender;</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("RTCRtpSender")}} object used to encode and send media whose media ID matches the current value of {{domxref("RTCRtpTransceiver.mid", "mid")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebRTC 1.0", "#dom-rtcrtptransceiver-sender", "RTCRtpTransceiver.sender")}}</td>
   <td>{{Spec2("WebRTC 1.0")}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCRtpTransceiver.sender")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API/Intro_to_RTP">Introduction to the Real-time Transport Protocol (RTP)</a></li>
 <li>{{domxref("RTCRtpSender")}}</li>
</ul>


